This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460831 - Race condition in gnome-applets minimization behaviour (dual head config)
Race condition in gnome-applets minimization behaviour (dual head config)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 13:24 EDT by matthias.guentert
Modified: 2009-12-18 01:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:21:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthias.guentert 2008-09-01 13:24:45 EDT
Description of problem:

When starting applications which are able to minimize to the gnome-panel they sometimes change to a window instead of an icon to the gnome-panel. See my screenshot under "additional info". This only seems to occur ABOUT every 2 or 3 logins... so I guess its somekind of race condition.

Version-Release number of selected component (if applicable):

I am running Fedora version 9 with Gnome version 2.22.3 

root@celsius ~ $ uname -a
Linux celsius 2.6.25.14-108.fc9.x86_64 #1 SMP Mon Aug 4 13:46:35 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

root@celsius ~ $ yum list installed | grep gnome
NetworkManager-gnome.x86_64              1:0.7.0-0.9.4.svn3675. installed       
PolicyKit-gnome.x86_64                   0.8-4.fc9              installed       
PolicyKit-gnome-libs.x86_64              0.8-4.fc9              installed       
bluez-gnome.x86_64                       0.26-1.fc9             installed       
fedora-gnome-theme.noarch                8.0.0-2.fc9            installed       
gnome-applet-music.x86_64                2.4.0-1.fc9            installed       
gnome-applet-netspeed.x86_64             0.14-3.fc9             installed       
gnome-applet-sensors.x86_64              1.8.2-2.fc9            installed       
gnome-applets.x86_64                     1:2.22.3-1.fc9         installed       
gnome-audio.noarch                       2.22.2-1               installed       
gnome-backgrounds.noarch                 2.22.0-1.fc9           installed       
gnome-desktop.x86_64                     2.22.3-1.fc9           installed       
gnome-doc-utils-stylesheets.noarch       0.12.2-1.fc9           installed       
gnome-icon-theme.noarch                  2.22.0-6.fc9           installed       
gnome-keyring.i386                       2.22.3-1.fc9           installed       
gnome-keyring.x86_64                     2.22.3-1.fc9           installed       
gnome-keyring-pam.x86_64                 2.22.3-1.fc9           installed       
gnome-mag.x86_64                         0.15.0-2.fc9           installed       
gnome-media.x86_64                       2.22.0-2.fc9           installed       
gnome-menus.x86_64                       2.22.2-1.fc9           installed       
gnome-mime-data.noarch                   2.18.0-2.fc7           installed       
gnome-mount.x86_64                       0.8-1.fc9              installed       
gnome-netstatus.x86_64                   2.12.1-4.fc9           installed       
gnome-packagekit.x86_64                  0.2.3-9.fc9            installed       
gnome-panel.x86_64                       2.22.2-2.fc9           installed       
gnome-panel-libs.x86_64                  2.22.2-2.fc9           installed       
gnome-pilot.x86_64                       2.0.16-2.fc9           installed       
gnome-power-manager.x86_64               2.22.1-1.fc9           installed       
gnome-python2.x86_64                     2.22.1-2.fc9           installed       
gnome-python2-applet.x86_64              2.22.0-4.fc9           installed       
gnome-python2-bonobo.x86_64              2.22.1-2.fc9           installed       
gnome-python2-canvas.x86_64              2.22.1-2.fc9           installed       
gnome-python2-desktop.x86_64             2.22.0-4.fc9           installed       
gnome-python2-extras.x86_64              2.19.1-17.fc9          installed       
gnome-python2-gconf.x86_64               2.22.1-2.fc9           installed       
gnome-python2-gnomekeyring.x86_64        2.22.0-4.fc9           installed       
gnome-python2-gnomevfs.x86_64            2.22.1-2.fc9           installed       
gnome-python2-gtkhtml2.x86_64            2.19.1-17.fc9          installed       
gnome-python2-libegg.x86_64              2.19.1-17.fc9          installed       
gnome-screensaver.x86_64                 2.22.1-1.fc9           installed       
gnome-session.x86_64                     2.22.3-1.fc9           installed       
gnome-settings-daemon.x86_64             2.22.2.1-2.fc9         installed       
gnome-sharp.x86_64                       2.16.1-1.fc9           installed       
gnome-speech.x86_64                      0.4.18-3.fc9           installed       
gnome-spell.x86_64                       1.0.8-5.fc9            installed       
gnome-system-monitor.x86_64              2.22.3-1.fc9           installed       
gnome-terminal.x86_64                    2.22.2-1.fc9           installed       
gnome-themes.noarch                      2.22.0-1.fc9           installed       
gnome-user-docs.noarch                   2.22.1-1.fc9           installed       
gnome-user-share.x86_64                  0.31-1.fc9             installed       
gnome-utils.x86_64                       1:2.20.0.1-5.fc9       installed       
gnome-vfs2.i386                          2.22.0-1.fc9           installed       
gnome-vfs2.x86_64                        2.22.0-1.fc9           installed       
gnome-vfs2-obexftp.x86_64                0.4-6.fc9              installed       
gnome-vfs2-smb.x86_64                    2.22.0-1.fc9           installed       
libgail-gnome.x86_64                     1.20.0-2.fc9           installed       
libgnome.i386                            2.22.0-3.fc9           installed       
libgnome.x86_64                          2.22.0-3.fc9           installed       
libgnomecanvas.i386                      2.20.1.1-2.fc9         installed       
libgnomecanvas.x86_64                    2.20.1.1-2.fc9         installed       
libgnomecups.x86_64                      0.2.3-3.fc9            installed       
libgnomekbd.x86_64                       2.22.0-2.fc9           installed       
libgnomeprint22.x86_64                   2.18.4-1.fc9           installed       
libgnomeprintui22.x86_64                 2.18.2-1.fc9           installed       
libgnomeui.i386                          2.22.1-2.fc9           installed       
libgnomeui.x86_64                        2.22.1-2.fc9           installed       
libopenraw-gnome.x86_64                  0.0.5-1.fc9            installed       
nodoka-theme-gnome.noarch                0.3.90-1.fc9           installed       
wireshark-gnome.x86_64                   1.0.2-1.fc9            installed       


How reproducible:

Configure a second desktop. See my xorg configuration for further information

Steps to Reproduce:

1. Login with a normal user
2. start e.g. pidgin and minimize it 
  
Actual results:

it shows up as a causal window

Expected results:

It should minimize to the panel and be shown as an icon

Additional info:

http://gnomesupport.org/forums/viewtopic.php?t=13414&highlight=
http://img513.imageshack.us/my.php?image=screenshot1ec5.png
http://pastebin.com/ma322971
Comment 1 matthias.guentert 2008-09-01 13:25:52 EDT
root@celsius ~ $ cgrep /etc/X11/xorg.conf
Section "ServerLayout"
    Identifier     "single head configuration"
    Screen      0  "Screen0" 1280 0
    Screen      1  "Screen1" LeftOf "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
EndSection
Section "Files"
    ModulePath      "/usr/lib64/xorg/modules/extensions/nvidia"
    ModulePath      "/usr/lib64/xorg/modules"
EndSection
Section "ServerFlags"
    Option         "AIGLX" "on"
    Option         "Xinerama" "0"
EndSection
Section "InputDevice"
    Identifier     "Keyboard0"
    Driver         "kbd"
    Option         "XkbModel" "pc105"
    Option         "XkbLayout" "ch"
    Option         "XkbVariant" "de_nodeadkeys"
EndSection
Section "Monitor"
    Identifier     "Monitor1"
    VendorName     "Unknown"
    ModelName      "Samsung SyncMaster"
    HorizSync       30.0 - 81.0
    VertRefresh     56.0 - 75.0
    Option         "dpms"
EndSection
Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "EIZO S2431W"
    HorizSync       31.0 - 76.0
    VertRefresh     59.0 - 61.0
EndSection
Section "Device"
    Identifier     "Videocard0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "Quadro FX 1700"
    Option         "AddARGBGLXVisuals" "True"
    BusID          "PCI:1:0:0"
    Screen          0
EndSection
Section "Device"
    Identifier     "Videocard1"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "Quadro FX 1700"
    BusID          "PCI:1:0:0"
    Screen          1
EndSection
Section "Screen"
    Identifier     "Screen0"
    Device         "Videocard0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "0"
    Option         "metamodes" "DFP: nvidia-auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection
Section "Screen"
    Identifier     "Screen1"
    Device         "Videocard1"
    Monitor        "Monitor1"
    DefaultDepth    24
    Option         "TwinView" "0"
    Option         "metamodes" "CRT: nvidia-auto-select +0+0"
EndSection
Section "Extensions"
    Option         "Composite" "Enable"
EndSection
Comment 2 matthias.guentert 2008-09-08 05:15:28 EDT
I found out some regularity: It seems to work every third and fourth login, what should not mean, that every first login attempt results in this bug... The Bug always occurs two times in a row, then its gonna work for the next two logins... odd isn't it?
Comment 3 Ray Strode [halfline] 2008-10-14 12:57:55 EDT
when it happens, what's the output of

ps -ef | grep notification-area-applet

?
Comment 4 matthias.guentert 2008-10-14 14:47:18 EDT
if its NOT working:

# ps -ef | grep notification-area-applet
myuser    28942     1  0 20:42 ?        00:00:00 /usr/libexec/notification-area-applet --oaf-activate-iid=OAFIID:GNOME_NotificationAreaApplet_Factory --oaf-ior-fd=65

if it IS working:

# ps -ef | grep notification-area-applet
myuser     3949     1  0 18:35 ?        00:00:00 /usr/libexec/notification-area-applet --oaf-activate-iid=OAFIID:GNOME_NotificationAreaApplet_Factory --oaf-ior-fd=54
Comment 5 matthias.guentert 2008-11-22 06:18:26 EST
The problem still persists, even after upgrading gnome and pidgin... now it anyhow does only happen at about every fifth login...this problem is not related to pidgin as e.g. bittorent (version see below) shows the same minimization problem... I really would be happy if this issue could be solved as it is really annoying and forcing me to relogin over and over again... TIA 

$ rpm -qa gnome*
gnome-user-share-0.31-1.fc9.x86_64
gnome-speech-0.4.18-3.fc9.x86_64
gnome-vfs2-obexftp-0.4-6.fc9.x86_64
gnome-python2-desktop-2.22.0-4.fc9.x86_64
gnome-desktop-2.22.3-1.fc9.x86_64
gnome-settings-daemon-2.22.2.1-2.fc9.x86_64
gnome-system-monitor-2.22.4-1.fc9.x86_64
gnome-panel-2.22.2-3.fc9.x86_64
gnome-themes-2.22.0-1.fc9.noarch
gnome-vfs2-2.22.0-1.fc9.x86_64
gnome-pilot-2.0.16-2.fc9.x86_64
gnome-spell-1.0.8-5.fc9.x86_64
gnome-python2-2.22.1-2.fc9.x86_64
gnome-python2-gconf-2.22.1-2.fc9.x86_64
gnome-keyring-pam-2.22.3-1.fc9.x86_64
gnome-python2-gnomekeyring-2.22.0-4.fc9.x86_64
gnome-packagekit-0.2.5-2.fc9.x86_64
gnome-applet-netspeed-0.15.2-1.fc9.x86_64
gnome-media-2.22.0-2.fc9.x86_64
gnome-mag-0.15.0-2.fc9.x86_64
gnome-python2-gnomevfs-2.22.1-2.fc9.x86_64
gnome-vfs2-2.22.0-1.fc9.i386
gnome-applets-2.22.3-1.fc9.x86_64
gnome-mime-data-2.18.0-2.fc7.noarch
gnome-netstatus-2.12.1-4.fc9.x86_64
gnome-utils-2.20.0.1-5.fc9.x86_64
gnome-session-2.22.3-1.fc9.x86_64
gnome-audio-2.22.2-1.noarch
gnome-icon-theme-2.22.0-6.fc9.noarch
gnome-power-manager-2.22.1-1.fc9.x86_64
gnome-vfs2-smb-2.22.0-1.fc9.x86_64
gnome-terminal-2.22.2-1.fc9.x86_64
gnome-user-docs-2.22.1-1.fc9.noarch
gnome-python2-bonobo-2.22.1-2.fc9.x86_64
gnome-panel-libs-2.22.2-3.fc9.x86_64
gnome-python2-libegg-2.19.1-21.fc9.x86_64
gnome-doc-utils-stylesheets-0.12.2-1.fc9.noarch
gnome-screensaver-2.22.1-1.fc9.x86_64
gnome-sharp-2.16.1-1.fc9.x86_64
gnome-applet-sensors-1.8.2-2.fc9.x86_64
gnome-python2-applet-2.22.0-4.fc9.x86_64
gnome-keyring-2.22.3-1.fc9.x86_64
gnome-python2-extras-2.19.1-21.fc9.x86_64
gnome-python2-gtkhtml2-2.19.1-21.fc9.x86_64
gnome-backgrounds-2.22.0-1.fc9.noarch
gnome-mount-0.8-1.fc9.x86_64
gnome-menus-2.22.2-1.fc9.x86_64
gnome-python2-canvas-2.22.1-2.fc9.x86_64
gnome-keyring-2.22.3-1.fc9.i386
gnome-applet-music-2.4.2-1.fc9.x86_64

$ rpm -qa pidgin
pidgin-2.5.2-1.fc9.x86_64

$ rpm -qa *torrent*
bittorrent-4.4.0-7.fc9.noarch

$ ps -ef | grep notification-area-applet
sp4rc     5105     1  0 12:09 ?        00:00:00 /usr/libexec/notification-area-applet --oaf-activate-iid=OAFIID:GNOME_NotificationAreaApplet_Factory --oaf-ior-fd=42
Comment 6 Bug Zapper 2008-11-25 21:55:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Follo 2009-01-05 12:43:58 EST
I have the same problem with a similar setup (but running fedora 9). I found a workaround, kind of. At least I don't have to logout/in.

Punish the misbehaving /usr/libexec/notification-area-applet by killing it ('kill 28942' - Refer to comment #4).

It will soon try to re-incarnate. Allow it to do so and most of the icons (NetworkManager, pidgin, liferea, ...) are in the notification area again. The one icon I use that don't work is moztrayicon, restarting thunderbird solves that problem.

I hope this helps someone. It's still annoying though.
Comment 8 Paul Paukstelis 2009-02-25 20:12:27 EST
I can confirm the same behavior. Thanks for the workaround, it was getting annoying.
Comment 9 Bug Zapper 2009-11-18 03:21:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:21:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.